What are the minimum recommended system requirements for using lineofduty.com’s Streaming Video Library?

  1. Macromedia Flash Player 8.0+ plug-in
  2. Windows XP or higher with latest updates installed
  3. Mac OS X 10.3 or higher
  4. Firefox 1.1+, Internet Explorer5.0+, or Safari 1.0+
  5. Broadband connection with 500+ Kbps

While most systems will meet these requirements if you still have questions about your department’s capabilities please give us a call at 1.800.462.5232 or email info@lineofduty.com.

Posted in: 2) Streaming Video Library